Subject: [amos-list] Internet gaming... (packet problems)
From: Andrew Crowe <[email-masked]>
To: [email-masked]
Date: Sun, 29 Aug 1999 17:15:27 +0000

From: Andrew Crowe <[email-masked]>

Hi Everybody,

   After precious little success with getting JamesBond working on the internet, I decided to do a little test.

   I wrote a very simple program that sent the equivilent amount of data that JB uses to its self, then sent it back and measured how they came in......

   What I found was that packets seem to arive with intervals of a few secconds, in a batch of about 20!  (both the server and client program were running on my A1200 asyncronously)

   That meant that somewhere along the line, all my precious little data packets were buffered together, then sent in one big batch a few secconds later... 

Is there anyway I can stop this from happening? It kinda makes writing a real time net game a little hard when it's packets are handled like this...

PS. Pietro, how's GUI v2 going? :) 

See ya.
-- 
       Manta Soft  -  Amiga programing & web page designing
     Http://members.tripod.com/~mantasoft/      ICQ: 21829166        
 Homepage updated 5/8/99 --- James Bond on GFX Card & CPU players!
  - ------------------- Quote of the day: -------------------- -
Politicians should read science fiction, not westerns and detective
stories.
-- Arthur C. Clarke

--------------------------- ONElist Sponsor ----------------------------

ONElist members: don't miss out on the latest news at ONElist
Join our community member news update at 
<a href=" http://clickme.onelist.com/ad/newsletter5 ">Click Here</a>

------------------------------------------------------------------------
Official AMOS WWW: http://members.xoom.com/AmosFactory/front.html